---
search:
  tags:
    - Tags V2
    - POST
seo:
  description: >-
    Bulk-creates tags. Successful entities are returned in data;… Reference for
    the POST /api/v2/{team_slug}/{app_slug}/tags endpoint in the Management API
    v2.
sidebar:
  label: Create tags
  badge: POST
title: Create tags
type: openapi-operation
---
Bulk-creates tags. Successful entities are returned in data; per-item failures in errors keyed by the tag key.

`POST /api/v2/{team_slug}/{app_slug}/tags`

**Request body** (`application/json`, required)

- `tags` (CreateTagItem[], required)

Request body example:

```json
{
  "tags": [
    {
      "key": "string",
      "name": "string",
      "status": "active",
      "filterable": true,
      "market_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ]
    }
  ]
}
```

**Responses**

- `201` — Created (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 201:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "name": "string",
      "status": "string",
      "filterable": true,
      "translations": {
        "name": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "attributes": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "template_key": "string",
          "template_name": "string",
          "name": "string",
          "description": "string",
          "filterable": true,
          "translatable": true,
          "values": {
            "property1": "string",
            "property2": "string"
          }
        }
      ],
      "markets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "slug": "string",
          "name": "string"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "key": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
